## pmtools 1.30

=== debian/changelog ===
pmtools (1.30-1) unstable; urgency=low

  [ Axel Beckert ]
  * Switch homepage and watch file from search.cpan.org to metacpan.org.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)

  [ Xavier Guimard ]
  * Imported Upstream version 1.30
  * Update debian/copyright years

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 21 Jan 2013 06:07:41 +0100

pmtools (1.20-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Xavier Guimard ]
  * Imported Upstream version 1.20
  * Bump Standard-Version to 3.9.4
  * Use debhelper 8
  * Update debian/copyright (license and format)
  * Update source format to 3.0 (quilt)

  [ Axel Beckert ]
  * No more repacking needed. Cleanup debian/rules and README.source.
  * debian/copyright: Add Copyright years and holder for pmcheck.

 -- Axel Beckert <abe@debian.org>  Thu, 13 Dec 2012 00:50:13 +0100

pmtools (1.10+ds1-2) unstable; urgency=low

  * Fix broken watch file

 -- Axel Beckert <abe@debian.org>  Sat, 03 Apr 2010 03:06:56 +0200

pmtools (1.10+ds1-1) unstable; urgency=low

  * New upstream release (Closes: #570883)
    - More modern upstream packaging. Good. :-)
    - One file exists twice in the upstream tar.gz so dpkg-source fails
      and it had to be repackaged. Bad. :-( Add documentation and
      get-orig-source target.
  * New maintainer (Debian Perl Group) and new uploader (me)
    (Closes: #569525)
  * Added a watch file to point to new upstream URL at CPAN
  * Bumped Standards-Version to 3.8.4
    - Changed dependency on perl5 to perl.
  * Used dh-make-perl to refresh debian/rules (one-liner dh format) and
    debian/copyright (DEP5 format).
    - Build-Depends on debhelper (>= 7.0.50~)
    - Bumped debhelper compatibility to 7
    This also fixed the following Lintian warnings as well as many other
    issues:
    - debhelper-but-no-misc-depends
    - clean-should-be-satisfied-by-build-depends debhelper
  * Removed obsolete postinst. This fixed the following Lintian warning:
    - maintainer-script-ignores-errors postinst
  * Added Homepage and Vcs-* headers.
  * Updated source URL in debian/copyright
  * Added debian/source/format to fix lintian warning
    missing-debian-source-format

 -- Axel Beckert <abe@debian.org>  Sat, 03 Apr 2010 02:29:36 +0200

pmtools (1.00-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359558).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 17 Jul 2006 19:50:30 +0200

pmtools (1.00-8) unstable; urgency=low

  * update debian/rules, don't install spurious .packlist

 -- Ivan Kohler <ivan-debian@420.am>  Sun, 12 Aug 2001 03:23:53 -0700

pmtools (1.00-7) unstable; urgency=low

  * New maintainer (closes: Bug#105821)

 -- Ivan Kohler <ivan-debian@420.am>  Fri, 10 Aug 2001 15:48:24 -0700

pmtools (1.00-6) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 15:19:46 -0800

pmtools (1.00-5) unstable; urgency=low

  * Removed install-stamp target, which can cause problems.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 13:26:32 -0700

pmtools (1.00-4) unstable; urgency=low

  * FHS
  * use dh_perl

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Sep 1999 21:07:26 -0700

pmtools (1.00-3) unstable; urgency=low

  * Remove empty directories more cleanly thanks to Richard Braakman.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Feb 1999 14:25:29 -0800

pmtools (1.00-2) unstable; urgency=low

  * Remove the .packlist file.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Feb 1999 12:57:49 -0800

pmtools (1.00-1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Feb 1999 22:04:33 -0800
