=== debian/control ===
Source: pmtools
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Axel Beckert <abe@debian.org>,
           Xavier Guimard <x.guimard@free.fr>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 8),
               perl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pmtools.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pmtools.git
Homepage: https://metacpan.org/release/pmtools/

Package: pmtools
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Description: Perl module tools
 Perl module tools is a suite of small tools that help manage and inspect
 perl modules, perl Plain Old Documentation files, and perl programs.
 .
 Some of the things these tools can do include:
  - show the full path to a module
  - show the version and description of a module
  - list all installed modules with descriptions
  - show what files a given program or module loads at compile time
  - show what symbols a module exports
  - list the methods of a class
  - display the source code of a function of a module
