=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# Disabled targets
override_dh_installcatalogs override_dh_installcron override_dh_installdebconf override_dh_installemacsen override_dh_installifupdown override_dh_pysupport override_dh_installinit override_dh_installmenu override_dh_installmime override_dh_installmodules override_dh_installlogcheck override_dh_installlogrotate override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm override_dh_installxfonts override_dh_bugfiles override_dh_lintian override_dh_gconf override_dh_icons:
