## pmtools 1.54

=== debian/changelog ===
pmtools (1.54-2) unstable; urgency=low

  * Team upload

  [ Axel Beckert ]
  * Bump Standard-Version to 3.9.5 (no changes).

  [ Damyan Ivanov ]
  * refresh patches using --no-timestamps --no-index -p ab --strip-
    trailing-whitespace
  * update fix-carp-has-no-pod-for-test-suite.patch to allow underscore
    in the version of English.pm
    Closes: #735818 -- FTBFS with perl 5.18.2

 -- Damyan Ivanov <dmn@debian.org>  Fri, 17 Jan 2014 23:04:57 +0200

pmtools (1.54-1) unstable; urgency=low

  * New upstream release

 -- Axel Beckert <abe@debian.org>  Tue, 22 Oct 2013 00:58:10 +0200

pmtools (1.51-1) unstable; urgency=low

  * New upstream release
  * Add patch to use English instead of Carp in POD-related tests
  * Add patch to make pminst follow symlinks
  * Set $PAGER to cat as it's used by pman + pmcat, also inside the tests
  * Really bump debhelper compat. to 9, not only the build-dependency

 -- Axel Beckert <abe@debian.org>  Fri, 27 Sep 2013 22:51:06 +0200

pmtools (1.40-1) unstable; urgency=low

  [ Axel Beckert ]
  * New upstream release
  * Make new upstream test suite pass.
    + Add Build-Dependency on perl-doc
    + Extend $PATH as needed
  * No more install upstream's README into /usr/share/doc/pmtools/ -- it
    only contains module name, version and license nowadays)
  * debian/rules: Remove no more needed empty overrides
  * Bump debhelper compatibility to 9
    + Update versioned debhelper compatibility accordingly
    + Gets rid of the dh_pysupport deprecation warning

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs

 -- Axel Beckert <abe@debian.org>  Tue, 10 Sep 2013 00:13:23 +0200
