=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
            Xavier Guimard <x.guimard@free.fr>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 8),
-               perl
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9~),
+               perl,
+               perl-doc
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pmtools.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pmtools.git
 Homepage: https://metacpan.org/release/pmtools/
