=== debian/watch ===
version=3
# URL to the package page followed by a regex to search
opts=dversionmangle=s/\+ds\d+$// \
https://metacpan.org/release/pmtools/   .*/pmtools-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
