## pmtools 2.0.0

=== debian/changelog ===
pmtools (2.0.0-2) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Add t_pfcat_5.26.patch for perl 5.26 compatibility. The formatting of
    perlfunc.pod changed, adjust regexp in test accordingly.
  * Add debian/upstream/metadata.
  * Fix path in debian/copyright.
  * Mark package as autopkgtest-able.
  * Add patch to fix a spelling mistake in the POD.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Jun 2017 19:50:02 +0200

pmtools (2.0.0-1) unstable; urgency=low

  * New upstream release
    + Refresh fix-carp-has-no-pod-for-test-suite.patch

 -- Axel Beckert <abe@debian.org>  Sun, 09 Feb 2014 04:29:34 +0100
