=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Axel Beckert <abe@debian.org>,
            Xavier Guimard <x.guimard@free.fr>
 Section: utils
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends: debhelper (>= 9~),
                perl,
                perl-doc
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pmtools.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pmtools.git
-Homepage: https://metacpan.org/release/pmtools/
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pmtools.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/pmtools.git
+Homepage: https://metacpan.org/release/pmtools
 
 Package: pmtools
 Architecture: all
@@ -28,4 +29,3 @@
   - show what symbols a module exports
   - list the methods of a class
   - display the source code of a function of a module
-
