## pmtools 2.2.0

=== debian/changelog ===
pmtools (2.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Xavier Guimard ]
  * Email change: Xavier Guimard -> yadd@debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * Add patch to ignore modules in perl-base paths in pman.
    (Closes: #963408)
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Jul 2020 20:21:24 +0200

pmtools (2.2.0-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * New upstream release
  * Bump debhelper compatibility to 10
  * Update copyright years
  * Remove pminst-should-follow-symlinks.patch now included in upstream
  * Remove useless fix-carp-has-no-pod-for-test-suite.patch

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 21 Mar 2018 20:26:55 +0100
