=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: pmtools
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Axel Beckert <abe@debian.org>,
-           Xavier Guimard <x.guimard@free.fr>
+           Xavier Guimard <yadd@debian.org>
 Section: utils
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 13),
                perl,
                perl-doc
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pmtools.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/pmtools.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pmtools
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pmtools.git
 Homepage: https://metacpan.org/release/pmtools
+Rules-Requires-Root: no
 
 Package: pmtools
 Architecture: all
