=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds\d+$// \
https://metacpan.org/release/pmtools   .*/pmtools-v?@ANY_VERSION@@ARCHIVE_EXT@$
